#ifndef FEATUREDUMPER_H
#define FEATUREDUMPER_H

#include <ostream>

#include <ConsumerImplHelper/BlazeCamera.h>


class FeatureDumper
{
public:
    static void DumpTree(std::ostream &out, GenApi::INodeMap *pNodeMap);
    static void DumpFeatures(GenApi::ICategory *pCategory, std::ostream &out, GenApi::INodeMap *pNodeMap, int indent);
    static void DumpFeature(GenApi::IValue *pFeature, std::ostream &out, int indent);

private:
    static constexpr int INDENT = 2;

    static std::string getIndent(int indent);
    static std::string getAccessString(GenApi::EAccessMode val);
    static std::string getVisibilityString(GenApi::EVisibility val);


};

#endif // FEATUREDUMPER_H
